<template>
    <v-simple-table>
        <template v-slot:default>
            <thead>
                <tr>
                    <th>
                        Termín
                    </th>
                    <th class="text-left">
                        Pacient
                    </th>
                    <th class="text-left">
                        Typ prohlídky
                    </th>
                <tr />
            </thead>
            <tbody v-for="item in items" :key="item.id">
                <Prehled :item="item"></Prehled>
            </tbody>
        </template>
    </v-simple-table>
</template>

<script>
    import Prehled from "../components/Preview/Prehled";
    export default {
        components: { Prehled },
        data() {
            return {
                items: []
            }
        },
        async mounted() {
            const res = await this.$axios.get('/api/rezervace');
            console.log(res.data);
            this.items = res.data;
        }
    }
</script>
